﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace UpdServerConsole
{
    public class UDPListener
    {
        //Listening on port 8000
        //The port must match your Spinneret or W5x00 device
        private static int port = Properties.Settings.Default.listenerPort;

        public static int Main()
        {
            Console.WriteLine("UDP Server Parameters");
            Console.WriteLine("Listener Port:\t{0}", Properties.Settings.Default.listenerPort);
            Console.WriteLine("-----------------------------------------\r\n");

            bool done = false;
            UdpClient listener = new UdpClient(port);
            IPEndPoint remoteEndPoint = new IPEndPoint(IPAddress.Any, port);
            string received_data;
            byte[] rxbuff;
            try
            {
                while (!done)
                {
                    Console.WriteLine("Listening");
                    rxbuff = listener.Receive(ref remoteEndPoint);
                    Console.WriteLine("Client IP: {0}", remoteEndPoint.ToString());
                    received_data = Encoding.ASCII.GetString(rxbuff, 0, rxbuff.Length);
                    Console.WriteLine("Data: {0}\n\n", received_data);
                }

            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
            }
            listener.Close();
            return 0;
        }
    } // end of class UDPListener
}


	





